https://bugzilla.gnome.org/show_bug.cgi?id=772626
--- pango/pangocoretext-shape.c.orig	2016-10-18 08:50:01.000000000 -0700
+++ pango/pangocoretext-shape.c	2016-10-18 08:58:44.000000000 -0700
@@ -29,6 +29,20 @@
 #include "pangocoretext-private.h"
 #include "pango-impl-utils.h"
 
+#if defined(MAC_OS_X_VERSION_MAX_ALLOWED) && MAC_OS_X_VERSION_MAX_ALLOWED < 1060
+CF_INLINE Boolean CFStringIsSurrogateHighCharacter(UniChar character) {
+    return ((character >= 0xD800UL) && (character <= 0xDBFFUL) ? true : false);
+}
+
+CF_INLINE Boolean CFStringIsSurrogateLowCharacter(UniChar character) {
+    return ((character >= 0xDC00UL) && (character <= 0xDFFFUL) ? true : false);
+}
+
+CF_INLINE UTF32Char CFStringGetLongCharacterForSurrogatePair(UniChar surrogateHigh, UniChar surrogateLow) {
+    return ((surrogateHigh - 0xD800UL) << 10) + (surrogateLow - 0xDC00UL) + 0x0010000UL;
+}
+#endif
+
 static void
 set_glyph (PangoFont        *font,
 	   PangoGlyphString *glyphs,
